Update product inventory

Update the inventory of the product.

IMPORTANT: Pass the expectedInventory field to avoid overwriting inventory with stale data. The update will be rejected when the passed expectedInventory does not match the current inventory, which can happen if an order or inventory change occurred since you last fetched the inventory.

Call /api/v3/p/products/inventory/ui-options to get options for the reasonDescriptionValue field. If a reasonDescriptionValue is not provided, it will default to PHYSICAL_COUNT_RECONCILIATION.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required
Body Params
int32
required

New inventory value

shipperInventory
array of objects

Inventory breakdown by shipper/location, used only when multi-location inventory is enabled

shipperInventory
int32

Expected current inventory, used to reject stale inventory updates

expectedShipperInventory
array of objects

Expected current shipper inventory, used to reject stale inventory updates

expectedShipperInventory
string

Optional reason description option value/code (default: PHYSICAL_COUNT_RECONCILIATION)

string

Optional note

Responses

401

Authentication failed

403

Insufficient permission

404

Not Found

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!